Package fr.gouv.vitam.common

# Enum Class ServerIdentity.MAP_KEYNAME

java.lang.Object
java.lang.Enum<ServerIdentity.MAP_KEYNAME>
fr.gouv.vitam.common.ServerIdentity.MAP_KEYNAME

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerIdentity.MAP_KEYNAME>`, `Constable`

Enclosing class:
  `ServerIdentity`

public static enum ServerIdentity.MAP_KEYNAME extends Enum<ServerIdentity.MAP_KEYNAME>
Map key for setFromMap

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NAME`
  Server Hostname: String
  `ROLE`
  Server Role: String
  `SERVERID`
  ServerId (Id of the VM/server): Integer or String representing integer
  `SITEID`
  SiteId: Integer or String representing integer

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServerIdentity.MAP_KEYNAME`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ServerIdentity.MAP_KEYNAME[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final ServerIdentity.MAP_KEYNAME NAME
    Server Hostname: String

  - ### ROLE

    public static final ServerIdentity.MAP_KEYNAME ROLE
    Server Role: String

  - ### SITEID

    public static final ServerIdentity.MAP_KEYNAME SITEID
    SiteId: Integer or String representing integer

  - ### SERVERID

    public static final ServerIdentity.MAP_KEYNAME SERVERID
    ServerId (Id of the VM/server): Integer or String representing integer

- ## Method Details

  - ### values

    public static ServerIdentity.MAP_KEYNAME[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ServerIdentity.MAP_KEYNAME valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null